searchNodes=[{"ref":"Metatags.html","title":"Metatags","type":"module","doc":"Metatags is used to provide an easy API to print out context-specific metatags."},{"ref":"Metatags.html#print_tags/1","title":"Metatags.print_tags/1","type":"function","doc":"Turns metadata information into HTML tags"},{"ref":"Metatags.html#put/3","title":"Metatags.put/3","type":"function","doc":"Puts a key and a value in the on a %Conn{} struct example: iex&gt; conn = %Conn{} iex&gt; Metatags.put(conn, &quot;title&quot;, &quot;Welcome!&quot;) %Conn{private: %{metadata: %{&quot;title&quot; =&gt; &quot;Welcome!&quot;}}}"},{"ref":"Metatags.html#t:metatag_value/0","title":"Metatags.metatag_value/0","type":"type","doc":""},{"ref":"Metatags.HTML.html","title":"Metatags.HTML","type":"module","doc":"Transforms metatags to HTML"},{"ref":"Metatags.HTML.html#from_conn/1","title":"Metatags.HTML.from_conn/1","type":"function","doc":"Turns a %Plug.Conn{} with metatags into HTML"},{"ref":"Metatags.Plug.html","title":"Metatags.Plug","type":"module","doc":"Metatags.Plug is a plug that can be used in a Plug router"},{"ref":"readme.html","title":"Metatags","type":"extras","doc":"Metatags Metatags provides an easy and flexible way to set both default and page specific metatags that are used for SEO, Facebook, Twitter etc. Documentation is available at https://hexdocs.pm/metatags."},{"ref":"readme.html#installation","title":"Metatags - Installation","type":"extras","doc":"Add metatags to your list of dependencies in mix.exs: def deps do [{:metatags, &quot;~&gt; 0.3.0&quot;}] end Add the plug to your router and configure the defaults (You can use Application.get_env/3 if you&#39;d like to extract it into the configuration file). defmodule MyRouter do use Plug.Conn plug Metatags.Plug, sitename: &quot;My_app&quot;, separator: &quot;-&quot;, default_tags: %{ &quot;title&quot; =&gt; &quot;Welcome!&quot;, &quot;description&quot; =&gt; &quot;My_app is a great app&quot;, &quot;keywords&quot; =&gt; [&quot;My_app&quot;, &quot;great&quot;, &quot;elixir&quot;] }"},{"ref":"readme.html#usage","title":"Metatags - Usage","type":"extras","doc":"In your controller put page specific data: conn |&gt; Metatags.put(&quot;title&quot;, &quot;About My_app&quot;) |&gt; Metatags.put(&quot;description&quot;, &quot;My app is just a regular app&quot;) |&gt; Metatags.put(&quot;og&quot;, %{&quot;image&quot; =&gt; &quot;http://myimage.jpg&quot;}) # You can have nested structures |&gt; Metatags.put(&quot;og:image&quot;, &quot;http://myimage.jpg&quot;) # or define them inline And print them out inside your head tag &lt;!DOCTYPE&gt; &lt;html&gt; &lt;head&gt; &lt;%= Metatags.print_tags(@conn) %&gt; &lt;/head&gt; &lt;body&gt; &lt;h1&gt;Welcome&lt;/h1&gt; &lt;/body&gt; &lt;/html&gt;"},{"ref":"changelog.html","title":"Changelog","type":"extras","doc":"Changelog"},{"ref":"changelog.html#0-3-0","title":"Changelog - 0.3.0","type":"extras","doc":"Move configuration of default values to the plug definition Extract the plug to Metatags.Plug Migrate: First, change the plug from Metatags to Metatags.Plug. After that you can move whatever you have in your configuration and put behind plug Metatags.Plug in your router. If you require environment specific defaults, use Application.get_env/3."},{"ref":"changelog.html#0-2-2","title":"Changelog - 0.2.2","type":"extras","doc":"Add [String.t()] to Metatags.put/3 type spec Replace ESpec with ExUnit in internal test suite"}]